Package org.eclipse.m2m.atl.emftvm.impl

## Class EmftvmPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.m2m.atl.emftvm.impl.EmftvmPackageImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.ENamedElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.EPackage`, `org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder`, `org.eclipse.emf.ecore.InternalEObject`, `org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder`, `EmftvmPackage`

    public class EmftvmPackageImpl
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements EmftvmPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`org.eclipse.emf.ecore.impl.EPackageImpl.EBasicWhiteList`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.m2m.atl.emftvm.EmftvmPackage

`EmftvmPackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`eClassifiers, ecoreFactory, ecorePackage, eFactoryInstance, eNameToEClassifierMap, ePackageExtendedMetaData, eSubpackages, IS_ABSTRACT, IS_CHANGEABLE, IS_COMPOSITE, IS_DERIVED, IS_GENERATED_INSTANCE_CLASS, IS_ID, IS_INTERFACE, IS_ORDERED, IS_RESOLVABLE, IS_RESOLVE_PROXIES, IS_SERIALIZABLE, IS_TRANSIENT, IS_UNIQUE, IS_UNSETTABLE, IS_VOLATILE, NS_PREFIX_EDEFAULT, NS_URI_EDEFAULT, nsPrefix, nsURI`

### Fields inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`name, NAME_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eAnnotations, eFlags, EFROZEN, ELAST_EMODEL_ELEMENT_FLAG`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.m2m.atl.emftvm.EmftvmPackage

`ADD, ADD__FIELDNAME, ADD__LINE_NUMBER, ADD__OPCODE, ADD__OWNING_BLOCK, ADD__STACK_CONSUMPTION, ADD__STACK_LEVEL, ADD__STACK_PRODUCTION, ADD_FEATURE_COUNT, ALLINST, ALLINST__LINE_NUMBER, ALLINST__OPCODE, ALLINST__OWNING_BLOCK, ALLINST__STACK_CONSUMPTION, ALLINST__STACK_LEVEL, ALLINST__STACK_PRODUCTION, ALLINST_FEATURE_COUNT, ALLINST_IN, ALLINST_IN__LINE_NUMBER, ALLINST_IN__OPCODE, ALLINST_IN__OWNING_BLOCK, ALLINST_IN__STACK_CONSUMPTION, ALLINST_IN__STACK_LEVEL, ALLINST_IN__STACK_PRODUCTION, ALLINST_IN_FEATURE_COUNT, AND, AND__CB_INDEX, AND__CODE_BLOCK, AND__LINE_NUMBER, AND__OPCODE, AND__OWNING_BLOCK, AND__STACK_CONSUMPTION, AND__STACK_LEVEL, AND__STACK_PRODUCTION, AND_FEATURE_COUNT, BRANCH_INSTRUCTION, BRANCH_INSTRUCTION__LINE_NUMBER, BRANCH_INSTRUCTION__OFFSET, BRANCH_INSTRUCTION__OPCODE, BRANCH_INSTRUCTION__OWNING_BLOCK, BRANCH_INSTRUCTION__STACK_CONSUMPTION, BRANCH_INSTRUCTION__STACK_LEVEL, BRANCH_INSTRUCTION__STACK_PRODUCTION, BRANCH_INSTRUCTION__TARGET, BRANCH_INSTRUCTION_FEATURE_COUNT, CLASS_NOT_FOUND_EXCEPTION, CODE_BLOCK, CODE_BLOCK__APPLIER_FOR, CODE_BLOCK__BINDING_FOR, CODE_BLOCK__BODY_FOR, CODE_BLOCK__CODE, CODE_BLOCK__INITIALISER_FOR, CODE_BLOCK__LINE_NUMBERS, CODE_BLOCK__LOCAL_VARIABLES, CODE_BLOCK__MATCHER_FOR, CODE_BLOCK__MAX_LOCALS, CODE_BLOCK__MAX_STACK, CODE_BLOCK__NESTED, CODE_BLOCK__NESTED_FOR, CODE_BLOCK__PARENT_FRAME, CODE_BLOCK__POST_APPLY_FOR, CODE_BLOCK_FEATURE_COUNT, CODE_BLOCK_INSTRUCTION, CODE_BLOCK_INSTRUCTION__CB_INDEX, CODE_BLOCK_INSTRUCTION__CODE_BLOCK, CODE_BLOCK_INSTRUCTION__LINE_NUMBER, CODE_BLOCK_INSTRUCTION__OPCODE, CODE_BLOCK_INSTRUCTION__OWNING_BLOCK, CODE_BLOCK_INSTRUCTION__STACK_CONSUMPTION, CODE_BLOCK_INSTRUCTION__STACK_LEVEL, CODE_BLOCK_INSTRUCTION__STACK_PRODUCTION, CODE_BLOCK_INSTRUCTION_FEATURE_COUNT, CONSTANT_TAG, DELETE, DELETE__LINE_NUMBER, DELETE__OPCODE, DELETE__OWNING_BLOCK, DELETE__STACK_CONSUMPTION, DELETE__STACK_LEVEL, DELETE__STACK_PRODUCTION, DELETE_FEATURE_COUNT, DUP, DUP__LINE_NUMBER, DUP__OPCODE, DUP__OWNING_BLOCK, DUP__STACK_CONSUMPTION, DUP__STACK_LEVEL, DUP__STACK_PRODUCTION, DUP_FEATURE_COUNT, DUP_X1, DUP_X1__LINE_NUMBER, DUP_X1__OPCODE, DUP_X1__OWNING_BLOCK, DUP_X1__STACK_CONSUMPTION, DUP_X1__STACK_LEVEL, DUP_X1__STACK_PRODUCTION, DUP_X1_FEATURE_COUNT, EBOOLEAN_ARRAY, eINSTANCE, EJAVA_ITERABLE, EJAVA_OBJECT_ARRAY, EJAVA_SET, eNAME, ENDITERATE, ENDITERATE__LINE_NUMBER, ENDITERATE__OFFSET, ENDITERATE__OPCODE, ENDITERATE__OWNING_BLOCK, ENDITERATE__STACK_CONSUMPTION, ENDITERATE__STACK_LEVEL, ENDITERATE__STACK_PRODUCTION, ENDITERATE__TARGET, ENDITERATE_FEATURE_COUNT, eNS_PREFIX, eNS_URI, ENUM_LITERAL, EOBJECT_ARRAY, EXEC_ENV, EXEC_ENV__CURRENT_PHASE, EXEC_ENV__INOUT_MODELS, EXEC_ENV__INPUT_MODELS, EXEC_ENV__JIT_DISABLED, EXEC_ENV__MATCHES, EXEC_ENV__META_MODELS, EXEC_ENV__MODULES, EXEC_ENV__OUTPUT_MODELS, EXEC_ENV__TRACES, EXEC_ENV__UNIQUE_RESULTS, EXEC_ENV_FEATURE_COUNT, FEATURE, FEATURE__CONTEXT, FEATURE__CONTEXT_MODEL, FEATURE__ECONTEXT, FEATURE__ETYPE, FEATURE__MODULE, FEATURE__NAME, FEATURE__STATIC, FEATURE__TYPE, FEATURE__TYPE_MODEL, FEATURE_FEATURE_COUNT, FEATURE_TAG, FIELD, FIELD__CONTEXT, FIELD__CONTEXT_MODEL, FIELD__ECONTEXT, FIELD__ETYPE, FIELD__INITIALISER, FIELD__MODULE, FIELD__NAME, FIELD__RULE, FIELD__STATIC, FIELD__STATIC_VALUE, FIELD__TYPE, FIELD__TYPE_MODEL, FIELD_FEATURE_COUNT, FIELD_INSTRUCTION, FIELD_INSTRUCTION__FIELDNAME, FIELD_INSTRUCTION__LINE_NUMBER, FIELD_INSTRUCTION__OPCODE, FIELD_INSTRUCTION__OWNING_BLOCK, FIELD_INSTRUCTION__STACK_CONSUMPTION, FIELD_INSTRUCTION__STACK_LEVEL, FIELD_INSTRUCTION__STACK_PRODUCTION, FIELD_INSTRUCTION_FEATURE_COUNT, FINDTYPE, FINDTYPE__LINE_NUMBER, FINDTYPE__MODELNAME, FINDTYPE__OPCODE, FINDTYPE__OWNING_BLOCK, FINDTYPE__STACK_CONSUMPTION, FINDTYPE__STACK_LEVEL, FINDTYPE__STACK_PRODUCTION, FINDTYPE__TYPENAME, FINDTYPE_FEATURE_COUNT, FINDTYPE_S, FINDTYPE_S__LINE_NUMBER, FINDTYPE_S__OPCODE, FINDTYPE_S__OWNING_BLOCK, FINDTYPE_S__STACK_CONSUMPTION, FINDTYPE_S__STACK_LEVEL, FINDTYPE_S__STACK_PRODUCTION, FINDTYPE_S_FEATURE_COUNT, GET, GET__FIELDNAME, GET__LINE_NUMBER, GET__OPCODE, GET__OWNING_BLOCK, GET__STACK_CONSUMPTION, GET__STACK_LEVEL, GET__STACK_PRODUCTION, GET_FEATURE_COUNT, GET_STATIC, GET_STATIC__FIELDNAME, GET_STATIC__LINE_NUMBER, GET_STATIC__OPCODE, GET_STATIC__OWNING_BLOCK, GET_STATIC__STACK_CONSUMPTION, GET_STATIC__STACK_LEVEL, GET_STATIC__STACK_PRODUCTION, GET_STATIC_FEATURE_COUNT, GET_SUPER, GET_SUPER__FIELDNAME, GET_SUPER__LINE_NUMBER, GET_SUPER__OPCODE, GET_SUPER__OWNING_BLOCK, GET_SUPER__STACK_CONSUMPTION, GET_SUPER__STACK_LEVEL, GET_SUPER__STACK_PRODUCTION, GET_SUPER_FEATURE_COUNT, GET_TRANS, GET_TRANS__FIELDNAME, GET_TRANS__LINE_NUMBER, GET_TRANS__OPCODE, GET_TRANS__OWNING_BLOCK, GET_TRANS__STACK_CONSUMPTION, GET_TRANS__STACK_LEVEL, GET_TRANS__STACK_PRODUCTION, GET_TRANS_FEATURE_COUNT, GETCB, GETCB__CB_INDEX, GETCB__CODE_BLOCK, GETCB__LINE_NUMBER, GETCB__OPCODE, GETCB__OWNING_BLOCK, GETCB__STACK_CONSUMPTION, GETCB__STACK_LEVEL, GETCB__STACK_PRODUCTION, GETCB_FEATURE_COUNT, GETENV, GETENV__LINE_NUMBER, GETENV__OPCODE, GETENV__OWNING_BLOCK, GETENV__STACK_CONSUMPTION, GETENV__STACK_LEVEL, GETENV__STACK_PRODUCTION, GETENV_FEATURE_COUNT, GETENVTYPE, GETENVTYPE__LINE_NUMBER, GETENVTYPE__OPCODE, GETENVTYPE__OWNING_BLOCK, GETENVTYPE__STACK_CONSUMPTION, GETENVTYPE__STACK_LEVEL, GETENVTYPE__STACK_PRODUCTION, GETENVTYPE_FEATURE_COUNT, GOTO, GOTO__LINE_NUMBER, GOTO__OFFSET, GOTO__OPCODE, GOTO__OWNING_BLOCK, GOTO__STACK_CONSUMPTION, GOTO__STACK_LEVEL, GOTO__STACK_PRODUCTION, GOTO__TARGET, GOTO_FEATURE_COUNT, IF, IF__LINE_NUMBER, IF__OFFSET, IF__OPCODE, IF__OWNING_BLOCK, IF__STACK_CONSUMPTION, IF__STACK_LEVEL, IF__STACK_PRODUCTION, IF__TARGET, IF_FEATURE_COUNT, IFN, IFN__LINE_NUMBER, IFN__OFFSET, IFN__OPCODE, IFN__OWNING_BLOCK, IFN__STACK_CONSUMPTION, IFN__STACK_LEVEL, IFN__STACK_PRODUCTION, IFN__TARGET, IFN_FEATURE_COUNT, IFTE, IFTE__ELSE_CB, IFTE__ELSE_CB_INDEX, IFTE__LINE_NUMBER, IFTE__OPCODE, IFTE__OWNING_BLOCK, IFTE__STACK_CONSUMPTION, IFTE__STACK_LEVEL, IFTE__STACK_PRODUCTION, IFTE__THEN_CB, IFTE__THEN_CB_INDEX, IFTE_FEATURE_COUNT, IMPLIES, IMPLIES__CB_INDEX, IMPLIES__CODE_BLOCK, IMPLIES__LINE_NUMBER, IMPLIES__OPCODE, IMPLIES__OWNING_BLOCK, IMPLIES__STACK_CONSUMPTION, IMPLIES__STACK_LEVEL, IMPLIES__STACK_PRODUCTION, IMPLIES_FEATURE_COUNT, INPUT_RULE_ELEMENT, INPUT_RULE_ELEMENT__BINDING, INPUT_RULE_ELEMENT__EMODELS, INPUT_RULE_ELEMENT__ETYPE, INPUT_RULE_ELEMENT__INPUT_FOR, INPUT_RULE_ELEMENT__MAPS_TO_SELF, INPUT_RULE_ELEMENT__MODELS, INPUT_RULE_ELEMENT__NAME, INPUT_RULE_ELEMENT__TYPE, INPUT_RULE_ELEMENT__TYPE_MODEL, INPUT_RULE_ELEMENT_FEATURE_COUNT, INSERT, INSERT__FIELDNAME, INSERT__LINE_NUMBER, INSERT__OPCODE, INSERT__OWNING_BLOCK, INSERT__STACK_CONSUMPTION, INSERT__STACK_LEVEL, INSERT__STACK_PRODUCTION, INSERT_FEATURE_COUNT, INSTRUCTION, INSTRUCTION__LINE_NUMBER, INSTRUCTION__OPCODE, INSTRUCTION__OWNING_BLOCK, INSTRUCTION__STACK_CONSUMPTION, INSTRUCTION__STACK_LEVEL, INSTRUCTION__STACK_PRODUCTION, INSTRUCTION_FEATURE_COUNT, INVOKE, INVOKE__ARGCOUNT, INVOKE__LINE_NUMBER, INVOKE__OPCODE, INVOKE__OPNAME, INVOKE__OWNING_BLOCK, INVOKE__STACK_CONSUMPTION, INVOKE__STACK_LEVEL, INVOKE__STACK_PRODUCTION, INVOKE_ALL_CBS, INVOKE_ALL_CBS__ARGCOUNT, INVOKE_ALL_CBS__LINE_NUMBER, INVOKE_ALL_CBS__OPCODE, INVOKE_ALL_CBS__OWNING_BLOCK, INVOKE_ALL_CBS__STACK_CONSUMPTION, INVOKE_ALL_CBS__STACK_LEVEL, INVOKE_ALL_CBS__STACK_PRODUCTION, INVOKE_ALL_CBS_FEATURE_COUNT, INVOKE_CB, INVOKE_CB__ARGCOUNT, INVOKE_CB__CB_INDEX, INVOKE_CB__CODE_BLOCK, INVOKE_CB__LINE_NUMBER, INVOKE_CB__OPCODE, INVOKE_CB__OWNING_BLOCK, INVOKE_CB__STACK_CONSUMPTION, INVOKE_CB__STACK_LEVEL, INVOKE_CB__STACK_PRODUCTION, INVOKE_CB_FEATURE_COUNT, INVOKE_CB_S, INVOKE_CB_S__ARGCOUNT, INVOKE_CB_S__LINE_NUMBER, INVOKE_CB_S__OPCODE, INVOKE_CB_S__OWNING_BLOCK, INVOKE_CB_S__STACK_CONSUMPTION, INVOKE_CB_S__STACK_LEVEL, INVOKE_CB_S__STACK_PRODUCTION, INVOKE_CB_S_FEATURE_COUNT, INVOKE_FEATURE_COUNT, INVOKE_INSTRUCTION, INVOKE_INSTRUCTION__ARGCOUNT, INVOKE_INSTRUCTION__LINE_NUMBER, INVOKE_INSTRUCTION__OPCODE, INVOKE_INSTRUCTION__OWNING_BLOCK, INVOKE_INSTRUCTION__STACK_CONSUMPTION, INVOKE_INSTRUCTION__STACK_LEVEL, INVOKE_INSTRUCTION__STACK_PRODUCTION, INVOKE_INSTRUCTION_FEATURE_COUNT, INVOKE_OPERATION_INSTRUCTION, INVOKE_OPERATION_INSTRUCTION__ARGCOUNT, INVOKE_OPERATION_INSTRUCTION__LINE_NUMBER, INVOKE_OPERATION_INSTRUCTION__OPCODE, INVOKE_OPERATION_INSTRUCTION__OPNAME, INVOKE_OPERATION_INSTRUCTION__OWNING_BLOCK, INVOKE_OPERATION_INSTRUCTION__STACK_CONSUMPTION, INVOKE_OPERATION_INSTRUCTION__STACK_LEVEL, INVOKE_OPERATION_INSTRUCTION__STACK_PRODUCTION, INVOKE_OPERATION_INSTRUCTION_FEATURE_COUNT, INVOKE_STATIC, INVOKE_STATIC__ARGCOUNT, INVOKE_STATIC__LINE_NUMBER, INVOKE_STATIC__OPCODE, INVOKE_STATIC__OPNAME, INVOKE_STATIC__OWNING_BLOCK, INVOKE_STATIC__STACK_CONSUMPTION, INVOKE_STATIC__STACK_LEVEL, INVOKE_STATIC__STACK_PRODUCTION, INVOKE_STATIC_FEATURE_COUNT, INVOKE_SUPER, INVOKE_SUPER__ARGCOUNT, INVOKE_SUPER__LINE_NUMBER, INVOKE_SUPER__OPCODE, INVOKE_SUPER__OPNAME, INVOKE_SUPER__OWNING_BLOCK, INVOKE_SUPER__STACK_CONSUMPTION, INVOKE_SUPER__STACK_LEVEL, INVOKE_SUPER__STACK_PRODUCTION, INVOKE_SUPER_FEATURE_COUNT, ISNULL, ISNULL__LINE_NUMBER, ISNULL__OPCODE, ISNULL__OWNING_BLOCK, ISNULL__STACK_CONSUMPTION, ISNULL__STACK_LEVEL, ISNULL__STACK_PRODUCTION, ISNULL_FEATURE_COUNT, ITERATE, ITERATE__LINE_NUMBER, ITERATE__OFFSET, ITERATE__OPCODE, ITERATE__OWNING_BLOCK, ITERATE__STACK_CONSUMPTION, ITERATE__STACK_LEVEL, ITERATE__STACK_PRODUCTION, ITERATE__TARGET, ITERATE_FEATURE_COUNT, LAZY_BAG, LAZY_COLLECTION, LAZY_LIST, LAZY_ORDERED_SET, LAZY_SET, LINE_NUMBER, LINE_NUMBER__END_CHAR, LINE_NUMBER__END_COLUMN, LINE_NUMBER__END_LINE, LINE_NUMBER__INSTRUCTIONS, LINE_NUMBER__OWNING_BLOCK, LINE_NUMBER__START_CHAR, LINE_NUMBER__START_COLUMN, LINE_NUMBER__START_LINE, LINE_NUMBER_FEATURE_COUNT, LOAD, LOAD__CB_OFFSET, LOAD__LINE_NUMBER, LOAD__LOCAL_VARIABLE, LOAD__LOCAL_VARIABLE_INDEX, LOAD__OPCODE, LOAD__OWNING_BLOCK, LOAD__SLOT, LOAD__STACK_CONSUMPTION, LOAD__STACK_LEVEL, LOAD__STACK_PRODUCTION, LOAD_FEATURE_COUNT, LOCAL_VARIABLE, LOCAL_VARIABLE__END_INSTRUCTION, LOCAL_VARIABLE__END_INSTRUCTION_INDEX, LOCAL_VARIABLE__ETYPE, LOCAL_VARIABLE__NAME, LOCAL_VARIABLE__OWNING_BLOCK, LOCAL_VARIABLE__SLOT, LOCAL_VARIABLE__START_INSTRUCTION, LOCAL_VARIABLE__START_INSTRUCTION_INDEX, LOCAL_VARIABLE__TYPE, LOCAL_VARIABLE__TYPE_MODEL, LOCAL_VARIABLE_FEATURE_COUNT, LOCAL_VARIABLE_INSTRUCTION, LOCAL_VARIABLE_INSTRUCTION__CB_OFFSET, LOCAL_VARIABLE_INSTRUCTION__LINE_NUMBER, LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE, LOCAL_VARIABLE_INSTRUCTION__LOCAL_VARIABLE_INDEX, LOCAL_VARIABLE_INSTRUCTION__OPCODE, LOCAL_VARIABLE_INSTRUCTION__OWNING_BLOCK, LOCAL_VARIABLE_INSTRUCTION__SLOT, LOCAL_VARIABLE_INSTRUCTION__STACK_CONSUMPTION, LOCAL_VARIABLE_INSTRUCTION__STACK_LEVEL, LOCAL_VARIABLE_INSTRUCTION__STACK_PRODUCTION, LOCAL_VARIABLE_INSTRUCTION_FEATURE_COUNT, MATCH, MATCH__ARGCOUNT, MATCH__LINE_NUMBER, MATCH__OPCODE, MATCH__OWNING_BLOCK, MATCH__RULENAME, MATCH__STACK_CONSUMPTION, MATCH__STACK_LEVEL, MATCH__STACK_PRODUCTION, MATCH_FEATURE_COUNT, MATCH_S, MATCH_S__ARGCOUNT, MATCH_S__LINE_NUMBER, MATCH_S__OPCODE, MATCH_S__OWNING_BLOCK, MATCH_S__STACK_CONSUMPTION, MATCH_S__STACK_LEVEL, MATCH_S__STACK_PRODUCTION, MATCH_S_FEATURE_COUNT, METAMODEL, METAMODEL__ALLOW_INTER_MODEL_REFERENCES, METAMODEL__RESOURCE, METAMODEL_FEATURE_COUNT, METHOD, MODEL, MODEL__ALLOW_INTER_MODEL_REFERENCES, MODEL__RESOURCE, MODEL_DECLARATION, MODEL_DECLARATION__INOUT_MODEL_FOR, MODEL_DECLARATION__INPUT_MODEL_FOR, MODEL_DECLARATION__META_MODEL_NAME, MODEL_DECLARATION__MODEL_NAME, MODEL_DECLARATION__OUTPUT_MODEL_FOR, MODEL_DECLARATION_FEATURE_COUNT, MODEL_DECLARATION_TAG, MODEL_FEATURE_COUNT, MODULE, MODULE__EIMPORTS, MODULE__FEATURES, MODULE__IMPORTS, MODULE__INOUT_MODELS, MODULE__INPUT_MODELS, MODULE__NAME, MODULE__OUTPUT_MODELS, MODULE__RULES, MODULE__SOURCE_NAME, MODULE_FEATURE_COUNT, MODULE_RESOLVER, NAMED_ELEMENT, NAMED_ELEMENT__NAME, NAMED_ELEMENT_FEATURE_COUNT, NEW, NEW__LINE_NUMBER, NEW__MODELNAME, NEW__OPCODE, NEW__OWNING_BLOCK, NEW__STACK_CONSUMPTION, NEW__STACK_LEVEL, NEW__STACK_PRODUCTION, NEW_FEATURE_COUNT, NEW_S, NEW_S__LINE_NUMBER, NEW_S__OPCODE, NEW_S__OWNING_BLOCK, NEW_S__STACK_CONSUMPTION, NEW_S__STACK_LEVEL, NEW_S__STACK_PRODUCTION, NEW_S_FEATURE_COUNT, NOT, NOT__LINE_NUMBER, NOT__OPCODE, NOT__OWNING_BLOCK, NOT__STACK_CONSUMPTION, NOT__STACK_LEVEL, NOT__STACK_PRODUCTION, NOT_FEATURE_COUNT, OPCODE, OPERATION, OPERATION__BODY, OPERATION__CONTEXT, OPERATION__CONTEXT_MODEL, OPERATION__ECONTEXT, OPERATION__ETYPE, OPERATION__MODULE, OPERATION__NAME, OPERATION__PARAMETERS, OPERATION__QUERY, OPERATION__STATIC, OPERATION__TYPE, OPERATION__TYPE_MODEL, OPERATION_FEATURE_COUNT, OR, OR__CB_INDEX, OR__CODE_BLOCK, OR__LINE_NUMBER, OR__OPCODE, OR__OWNING_BLOCK, OR__STACK_CONSUMPTION, OR__STACK_LEVEL, OR__STACK_PRODUCTION, OR_FEATURE_COUNT, OUTPUT_RULE_ELEMENT, OUTPUT_RULE_ELEMENT__EMODELS, OUTPUT_RULE_ELEMENT__ETYPE, OUTPUT_RULE_ELEMENT__MAPS_TO, OUTPUT_RULE_ELEMENT__MODELS, OUTPUT_RULE_ELEMENT__NAME, OUTPUT_RULE_ELEMENT__OUTPUT_FOR, OUTPUT_RULE_ELEMENT__TYPE, OUTPUT_RULE_ELEMENT__TYPE_MODEL, OUTPUT_RULE_ELEMENT_FEATURE_COUNT, PARAMETER, PARAMETER__ETYPE, PARAMETER__NAME, PARAMETER__OPERATION, PARAMETER__TYPE, PARAMETER__TYPE_MODEL, PARAMETER_FEATURE_COUNT, POP, POP__LINE_NUMBER, POP__OPCODE, POP__OWNING_BLOCK, POP__STACK_CONSUMPTION, POP__STACK_LEVEL, POP__STACK_PRODUCTION, POP_FEATURE_COUNT, PUSH, PUSH__BYTE_VALUE, PUSH__CHAR_VALUE, PUSH__DOUBLE_VALUE, PUSH__ENUM_VALUE, PUSH__FLOAT_VALUE, PUSH__INT_VALUE, PUSH__LINE_NUMBER, PUSH__LONG_VALUE, PUSH__OPCODE, PUSH__OWNING_BLOCK, PUSH__SHORT_VALUE, PUSH__STACK_CONSUMPTION, PUSH__STACK_LEVEL, PUSH__STACK_PRODUCTION, PUSH__STRING_VALUE, PUSH__VALUE, PUSH_FEATURE_COUNT, PUSHF, PUSHF__LINE_NUMBER, PUSHF__OPCODE, PUSHF__OWNING_BLOCK, PUSHF__STACK_CONSUMPTION, PUSHF__STACK_LEVEL, PUSHF__STACK_PRODUCTION, PUSHF_FEATURE_COUNT, PUSHT, PUSHT__LINE_NUMBER, PUSHT__OPCODE, PUSHT__OWNING_BLOCK, PUSHT__STACK_CONSUMPTION, PUSHT__STACK_LEVEL, PUSHT__STACK_PRODUCTION, PUSHT_FEATURE_COUNT, REMOVE, REMOVE__FIELDNAME, REMOVE__LINE_NUMBER, REMOVE__OPCODE, REMOVE__OWNING_BLOCK, REMOVE__STACK_CONSUMPTION, REMOVE__STACK_LEVEL, REMOVE__STACK_PRODUCTION, REMOVE_FEATURE_COUNT, RETURN, RETURN__LINE_NUMBER, RETURN__OPCODE, RETURN__OWNING_BLOCK, RETURN__STACK_CONSUMPTION, RETURN__STACK_LEVEL, RETURN__STACK_PRODUCTION, RETURN_FEATURE_COUNT, RULE, RULE__ABSTRACT, RULE__APPLIER, RULE__DEFAULT, RULE__DISTINCT_ELEMENTS, RULE__ESUB_RULES, RULE__ESUPER_RULES, RULE__FIELDS, RULE__INPUT_ELEMENTS, RULE__LEAF, RULE__MATCHER, RULE__MODE, RULE__MODULE, RULE__NAME, RULE__OUTPUT_ELEMENTS, RULE__POST_APPLY, RULE__SUPER_RULES, RULE__UNIQUE, RULE__WITH_LEAVES, RULE_ELEMENT, RULE_ELEMENT__EMODELS, RULE_ELEMENT__ETYPE, RULE_ELEMENT__MODELS, RULE_ELEMENT__NAME, RULE_ELEMENT__TYPE, RULE_ELEMENT__TYPE_MODEL, RULE_ELEMENT_FEATURE_COUNT, RULE_FEATURE_COUNT, RULE_MODE, SET, SET__FIELDNAME, SET__LINE_NUMBER, SET__OPCODE, SET__OWNING_BLOCK, SET__STACK_CONSUMPTION, SET__STACK_LEVEL, SET__STACK_PRODUCTION, SET_FEATURE_COUNT, SET_STATIC, SET_STATIC__FIELDNAME, SET_STATIC__LINE_NUMBER, SET_STATIC__OPCODE, SET_STATIC__OWNING_BLOCK, SET_STATIC__STACK_CONSUMPTION, SET_STATIC__STACK_LEVEL, SET_STATIC__STACK_PRODUCTION, SET_STATIC_FEATURE_COUNT, STACK_FRAME, STORE, STORE__CB_OFFSET, STORE__LINE_NUMBER, STORE__LOCAL_VARIABLE, STORE__LOCAL_VARIABLE_INDEX, STORE__OPCODE, STORE__OWNING_BLOCK, STORE__SLOT, STORE__STACK_CONSUMPTION, STORE__STACK_LEVEL, STORE__STACK_PRODUCTION, STORE_FEATURE_COUNT, SWAP, SWAP__LINE_NUMBER, SWAP__OPCODE, SWAP__OWNING_BLOCK, SWAP__STACK_CONSUMPTION, SWAP__STACK_LEVEL, SWAP__STACK_PRODUCTION, SWAP_FEATURE_COUNT, SWAP_X1, SWAP_X1__LINE_NUMBER, SWAP_X1__OPCODE, SWAP_X1__OWNING_BLOCK, SWAP_X1__STACK_CONSUMPTION, SWAP_X1__STACK_LEVEL, SWAP_X1__STACK_PRODUCTION, SWAP_X1_FEATURE_COUNT, TIMING_DATA, TYPED_ELEMENT, TYPED_ELEMENT__ETYPE, TYPED_ELEMENT__NAME, TYPED_ELEMENT__TYPE, TYPED_ELEMENT__TYPE_MODEL, TYPED_ELEMENT_FEATURE_COUNT, VM_MONITOR, XOR, XOR__LINE_NUMBER, XOR__OPCODE, XOR__OWNING_BLOCK, XOR__STACK_CONSUMPTION, XOR__STACK_LEVEL, XOR__STACK_PRODUCTION, XOR_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` `getAdd()`
`org.eclipse.emf.ecore.EClass` `getAllinst()`
`org.eclipse.emf.ecore.EClass` `getAllinstIn()`
`org.eclipse.emf.ecore.EClass` `getAnd()`
`org.eclipse.emf.ecore.EClass` `getBranchInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getBranchInstruction_Offset()`
`org.eclipse.emf.ecore.EReference` `getBranchInstruction_Target()`
`org.eclipse.emf.ecore.EDataType` `getClassNotFoundException()`
`org.eclipse.emf.ecore.EClass` `getCodeBlock()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_ApplierFor()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_BindingFor()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_BodyFor()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_Code()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_InitialiserFor()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_LineNumbers()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_LocalVariables()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_MatcherFor()`
`org.eclipse.emf.ecore.EAttribute` `getCodeBlock_MaxLocals()`
`org.eclipse.emf.ecore.EAttribute` `getCodeBlock_MaxStack()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_Nested()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_NestedFor()`
`org.eclipse.emf.ecore.EAttribute` `getCodeBlock_ParentFrame()`
`org.eclipse.emf.ecore.EReference` `getCodeBlock_PostApplyFor()`
`org.eclipse.emf.ecore.EClass` `getCodeBlockInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getCodeBlockInstruction_CbIndex()`
`org.eclipse.emf.ecore.EReference` `getCodeBlockInstruction_CodeBlock()`
`org.eclipse.emf.ecore.EEnum` `getConstantTag()`
`org.eclipse.emf.ecore.EClass` `getDelete()`
`org.eclipse.emf.ecore.EClass` `getDup()`
`org.eclipse.emf.ecore.EClass` `getDupX1()`
`org.eclipse.emf.ecore.EDataType` `getEBooleanArray()`
`org.eclipse.emf.ecore.EDataType` `getEJavaIterable()`
`org.eclipse.emf.ecore.EDataType` `getEJavaObjectArray()`
`org.eclipse.emf.ecore.EDataType` `getEJavaSet()`
`EmftvmFactory` `getEmftvmFactory()`
`org.eclipse.emf.ecore.EClass` `getEnditerate()`
`org.eclipse.emf.ecore.EDataType` `getEnumLiteral()`
`org.eclipse.emf.ecore.EDataType` `getEObjectArray()`
`org.eclipse.emf.ecore.EClass` `getExecEnv()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_CurrentPhase()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_InoutModels()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_InputModels()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_JitDisabled()`
`org.eclipse.emf.ecore.EReference` `getExecEnv_Matches()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_MetaModels()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_Modules()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_OutputModels()`
`org.eclipse.emf.ecore.EReference` `getExecEnv_Traces()`
`org.eclipse.emf.ecore.EAttribute` `getExecEnv_UniqueResults()`
`org.eclipse.emf.ecore.EClass` `getFeature()`
`org.eclipse.emf.ecore.EAttribute` `getFeature_Context()`
`org.eclipse.emf.ecore.EAttribute` `getFeature_ContextModel()`
`org.eclipse.emf.ecore.EReference` `getFeature_EContext()`
`org.eclipse.emf.ecore.EReference` `getFeature_Module()`
`org.eclipse.emf.ecore.EAttribute` `getFeature_Static()`
`org.eclipse.emf.ecore.EEnum` `getFeatureTag()`
`org.eclipse.emf.ecore.EClass` `getField()`
`org.eclipse.emf.ecore.EReference` `getField_Initialiser()`
`org.eclipse.emf.ecore.EReference` `getField_Rule()`
`org.eclipse.emf.ecore.EAttribute` `getField_StaticValue()`
`org.eclipse.emf.ecore.EClass` `getFieldInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getFieldInstruction_Fieldname()`
`org.eclipse.emf.ecore.EClass` `getFindtype()`
`org.eclipse.emf.ecore.EAttribute` `getFindtype_Modelname()`
`org.eclipse.emf.ecore.EAttribute` `getFindtype_Typename()`
`org.eclipse.emf.ecore.EClass` `getFindtypeS()`
`org.eclipse.emf.ecore.EClass` `getGet()`
`org.eclipse.emf.ecore.EClass` `getGetcb()`
`org.eclipse.emf.ecore.EClass` `getGetenv()`
`org.eclipse.emf.ecore.EClass` `getGetenvtype()`
`org.eclipse.emf.ecore.EClass` `getGetStatic()`
`org.eclipse.emf.ecore.EClass` `getGetSuper()`
`org.eclipse.emf.ecore.EClass` `getGetTrans()`
`org.eclipse.emf.ecore.EClass` `getGoto()`
`org.eclipse.emf.ecore.EClass` `getIf()`
`org.eclipse.emf.ecore.EClass` `getIfn()`
`org.eclipse.emf.ecore.EClass` `getIfte()`
`org.eclipse.emf.ecore.EReference` `getIfte_ElseCb()`
`org.eclipse.emf.ecore.EAttribute` `getIfte_ElseCbIndex()`
`org.eclipse.emf.ecore.EReference` `getIfte_ThenCb()`
`org.eclipse.emf.ecore.EAttribute` `getIfte_ThenCbIndex()`
`org.eclipse.emf.ecore.EClass` `getImplies()`
`org.eclipse.emf.ecore.EClass` `getInputRuleElement()`
`org.eclipse.emf.ecore.EReference` `getInputRuleElement_Binding()`
`org.eclipse.emf.ecore.EReference` `getInputRuleElement_InputFor()`
`org.eclipse.emf.ecore.EAttribute` `getInputRuleElement_MapsToSelf()`
`org.eclipse.emf.ecore.EClass` `getInsert()`
`org.eclipse.emf.ecore.EClass` `getInstruction()`
`org.eclipse.emf.ecore.EReference` `getInstruction_LineNumber()`
`org.eclipse.emf.ecore.EAttribute` `getInstruction_Opcode()`
`org.eclipse.emf.ecore.EReference` `getInstruction_OwningBlock()`
`org.eclipse.emf.ecore.EAttribute` `getInstruction_StackConsumption()`
`org.eclipse.emf.ecore.EAttribute` `getInstruction_StackLevel()`
`org.eclipse.emf.ecore.EAttribute` `getInstruction_StackProduction()`
`org.eclipse.emf.ecore.EClass` `getInvoke()`
`org.eclipse.emf.ecore.EClass` `getInvokeAllCbs()`
`org.eclipse.emf.ecore.EClass` `getInvokeCb()`
`org.eclipse.emf.ecore.EClass` `getInvokeCbS()`
`org.eclipse.emf.ecore.EClass` `getInvokeInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getInvokeInstruction_Argcount()`
`org.eclipse.emf.ecore.EClass` `getInvokeOperationInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getInvokeOperationInstruction_Opname()`
`org.eclipse.emf.ecore.EClass` `getInvokeStatic()`
`org.eclipse.emf.ecore.EClass` `getInvokeSuper()`
`org.eclipse.emf.ecore.EClass` `getIsnull()`
`org.eclipse.emf.ecore.EClass` `getIterate()`
`org.eclipse.emf.ecore.EDataType` `getLazyBag()`
`org.eclipse.emf.ecore.EDataType` `getLazyCollection()`
`org.eclipse.emf.ecore.EDataType` `getLazyList()`
`org.eclipse.emf.ecore.EDataType` `getLazyOrderedSet()`
`org.eclipse.emf.ecore.EDataType` `getLazySet()`
`org.eclipse.emf.ecore.EClass` `getLineNumber()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_EndChar()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_EndColumn()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_EndLine()`
`org.eclipse.emf.ecore.EReference` `getLineNumber_Instructions()`
`org.eclipse.emf.ecore.EReference` `getLineNumber_OwningBlock()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_StartChar()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_StartColumn()`
`org.eclipse.emf.ecore.EAttribute` `getLineNumber_StartLine()`
`org.eclipse.emf.ecore.EClass` `getLoad()`
`org.eclipse.emf.ecore.EClass` `getLocalVariable()`
`org.eclipse.emf.ecore.EReference` `getLocalVariable_EndInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariable_EndInstructionIndex()`
`org.eclipse.emf.ecore.EReference` `getLocalVariable_OwningBlock()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariable_Slot()`
`org.eclipse.emf.ecore.EReference` `getLocalVariable_StartInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariable_StartInstructionIndex()`
`org.eclipse.emf.ecore.EClass` `getLocalVariableInstruction()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariableInstruction_CbOffset()`
`org.eclipse.emf.ecore.EReference` `getLocalVariableInstruction_LocalVariable()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariableInstruction_LocalVariableIndex()`
`org.eclipse.emf.ecore.EAttribute` `getLocalVariableInstruction_Slot()`
`org.eclipse.emf.ecore.EClass` `getMatch()`
`org.eclipse.emf.ecore.EAttribute` `getMatch_Rulename()`
`org.eclipse.emf.ecore.EClass` `getMatchS()`
`org.eclipse.emf.ecore.EClass` `getMetamodel()`
`org.eclipse.emf.ecore.EDataType` `getMethod()`
`org.eclipse.emf.ecore.EClass` `getModel()`
`org.eclipse.emf.ecore.EAttribute` `getModel_AllowInterModelReferences()`
`org.eclipse.emf.ecore.EAttribute` `getModel_Resource()`
`org.eclipse.emf.ecore.EClass` `getModelDeclaration()`
`org.eclipse.emf.ecore.EReference` `getModelDeclaration_InoutModelFor()`
`org.eclipse.emf.ecore.EReference` `getModelDeclaration_InputModelFor()`
`org.eclipse.emf.ecore.EAttribute` `getModelDeclaration_MetaModelName()`
`org.eclipse.emf.ecore.EAttribute` `getModelDeclaration_ModelName()`
`org.eclipse.emf.ecore.EReference` `getModelDeclaration_OutputModelFor()`
`org.eclipse.emf.ecore.EEnum` `getModelDeclarationTag()`
`org.eclipse.emf.ecore.EClass` `getModule()`
`org.eclipse.emf.ecore.EReference` `getModule_EImports()`
`org.eclipse.emf.ecore.EReference` `getModule_Features()`
`org.eclipse.emf.ecore.EAttribute` `getModule_Imports()`
`org.eclipse.emf.ecore.EReference` `getModule_InoutModels()`
`org.eclipse.emf.ecore.EReference` `getModule_InputModels()`
`org.eclipse.emf.ecore.EReference` `getModule_OutputModels()`
`org.eclipse.emf.ecore.EReference` `getModule_Rules()`
`org.eclipse.emf.ecore.EAttribute` `getModule_SourceName()`
`org.eclipse.emf.ecore.EDataType` `getModuleResolver()`
`org.eclipse.emf.ecore.EClass` `getNamedElement()`
`org.eclipse.emf.ecore.EAttribute` `getNamedElement_Name()`
`org.eclipse.emf.ecore.EClass` `getNew()`
`org.eclipse.emf.ecore.EAttribute` `getNew_Modelname()`
`org.eclipse.emf.ecore.EClass` `getNewS()`
`org.eclipse.emf.ecore.EClass` `getNot()`
`org.eclipse.emf.ecore.EEnum` `getOpcode()`
`org.eclipse.emf.ecore.EClass` `getOperation()`
`org.eclipse.emf.ecore.EReference` `getOperation_Body()`
`org.eclipse.emf.ecore.EReference` `getOperation_Parameters()`
`org.eclipse.emf.ecore.EAttribute` `getOperation_Query()`
`org.eclipse.emf.ecore.EClass` `getOr()`
`org.eclipse.emf.ecore.EClass` `getOutputRuleElement()`
`org.eclipse.emf.ecore.EReference` `getOutputRuleElement_MapsTo()`
`org.eclipse.emf.ecore.EReference` `getOutputRuleElement_OutputFor()`
`org.eclipse.emf.ecore.EClass` `getParameter()`
`org.eclipse.emf.ecore.EReference` `getParameter_Operation()`
`org.eclipse.emf.ecore.EClass` `getPop()`
`org.eclipse.emf.ecore.EClass` `getPush()`
`org.eclipse.emf.ecore.EAttribute` `getPush_ByteValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_CharValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_DoubleValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_EnumValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_FloatValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_IntValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_LongValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_ShortValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_StringValue()`
`org.eclipse.emf.ecore.EAttribute` `getPush_Value()`
`org.eclipse.emf.ecore.EClass` `getPushf()`
`org.eclipse.emf.ecore.EClass` `getPusht()`
`org.eclipse.emf.ecore.EClass` `getRemove()`
`org.eclipse.emf.ecore.EClass` `getReturn()`
`org.eclipse.emf.ecore.EClass` `getRule()`
`org.eclipse.emf.ecore.EAttribute` `getRule_Abstract()`
`org.eclipse.emf.ecore.EReference` `getRule_Applier()`
`org.eclipse.emf.ecore.EAttribute` `getRule_Default()`
`org.eclipse.emf.ecore.EAttribute` `getRule_DistinctElements()`
`org.eclipse.emf.ecore.EReference` `getRule_ESubRules()`
`org.eclipse.emf.ecore.EReference` `getRule_ESuperRules()`
`org.eclipse.emf.ecore.EReference` `getRule_Fields()`
`org.eclipse.emf.ecore.EReference` `getRule_InputElements()`
`org.eclipse.emf.ecore.EAttribute` `getRule_Leaf()`
`org.eclipse.emf.ecore.EReference` `getRule_Matcher()`
`org.eclipse.emf.ecore.EAttribute` `getRule_Mode()`
`org.eclipse.emf.ecore.EReference` `getRule_Module()`
`org.eclipse.emf.ecore.EReference` `getRule_OutputElements()`
`org.eclipse.emf.ecore.EReference` `getRule_PostApply()`
`org.eclipse.emf.ecore.EAttribute` `getRule_SuperRules()`
`org.eclipse.emf.ecore.EAttribute` `getRule_Unique()`
`org.eclipse.emf.ecore.EAttribute` `getRule_WithLeaves()`
`org.eclipse.emf.ecore.EClass` `getRuleElement()`
`org.eclipse.emf.ecore.EReference` `getRuleElement_EModels()`
`org.eclipse.emf.ecore.EAttribute` `getRuleElement_Models()`
`org.eclipse.emf.ecore.EEnum` `getRuleMode()`
`org.eclipse.emf.ecore.EClass` `getSet()`
`org.eclipse.emf.ecore.EClass` `getSetStatic()`
`org.eclipse.emf.ecore.EDataType` `getStackFrame()`
`org.eclipse.emf.ecore.EClass` `getStore()`
`org.eclipse.emf.ecore.EClass` `getSwap()`
`org.eclipse.emf.ecore.EClass` `getSwapX1()`
`org.eclipse.emf.ecore.EDataType` `getTimingData()`
`org.eclipse.emf.ecore.EClass` `getTypedElement()`
`org.eclipse.emf.ecore.EReference` `getTypedElement_EType()`
`org.eclipse.emf.ecore.EAttribute` `getTypedElement_Type()`
`org.eclipse.emf.ecore.EAttribute` `getTypedElement_TypeModel()`
`org.eclipse.emf.ecore.EDataType` `getVMMonitor()`
`org.eclipse.emf.ecore.EClass` `getXor()`
`static EmftvmPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addEEnumLiteral, addEException, addEException, addEOperation, addEOperation, addEOperation, addEParameter, addEParameter, addEParameter, addEParameter, addEParameter, addETypeParameter, addETypeParameter, basicGetESuperPackage, basicSetEFactoryInstance, createEAttribute, createEClass, createEDataType, createEEnum, createEGenericType, createEGenericType, createEGenericType, createEOperation, createEReference, createResource, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eStaticClass, eUnset, fixEClassifiers, fixEEnumLiterals, fixEOperations, fixEStructuralFeatures, fixInstanceClass, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEAttribute, initEClass, initEClass, initEClass, initEDataType, initEDataType, initEDataType, initEEnum, initEOperation, initEOperation, initEOperation, initEOperation, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initEReference, initializeFromLoadedEPackage, setEFactoryInstance, setExtendedMetaData, setGeneratedClassName, setInstanceTypeName, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eSetDirectResource, eURIFragmentSegment, freeze, getEAnnotation, getEAnnotations, isFrozen, setFrozen`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### init

    public static EmftvmPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `EmftvmPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `EmftvmPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getModule

    public org.eclipse.emf.ecore.EClass getModule()

Specified by:
  `getModule` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Module'.
See Also:
  `Module`

#### getModule_SourceName

    public org.eclipse.emf.ecore.EAttribute getModule_SourceName()

Specified by:
  `getModule_SourceName` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Source Name'.
See Also:
  `Module.getSourceName()`, `EmftvmPackage.getModule()`

#### getModule_Features

    public org.eclipse.emf.ecore.EReference getModule_Features()

Specified by:
  `getModule_Features` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Features'.
See Also:
  `Module.getFeatures()`, `EmftvmPackage.getModule()`

#### getModule_Rules

    public org.eclipse.emf.ecore.EReference getModule_Rules()

Specified by:
  `getModule_Rules` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Rules'.
See Also:
  `Module.getRules()`, `EmftvmPackage.getModule()`

#### getModule_EImports

    public org.eclipse.emf.ecore.EReference getModule_EImports()

Specified by:
  `getModule_EImports` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'EImports'.
See Also:
  `Module.getEImports()`, `EmftvmPackage.getModule()`

#### getModule_Imports

    public org.eclipse.emf.ecore.EAttribute getModule_Imports()

Specified by:
  `getModule_Imports` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute list 'Imports'.
See Also:
  `Module.getImports()`, `EmftvmPackage.getModule()`

#### getModule_InputModels

    public org.eclipse.emf.ecore.EReference getModule_InputModels()

Specified by:
  `getModule_InputModels` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Input Models'.
See Also:
  `Module.getInputModels()`, `EmftvmPackage.getModule()`

#### getModule_InoutModels

    public org.eclipse.emf.ecore.EReference getModule_InoutModels()

Specified by:
  `getModule_InoutModels` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Inout Models'.
See Also:
  `Module.getInoutModels()`, `EmftvmPackage.getModule()`

#### getModule_OutputModels

    public org.eclipse.emf.ecore.EReference getModule_OutputModels()

Specified by:
  `getModule_OutputModels` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Output Models'.
See Also:
  `Module.getOutputModels()`, `EmftvmPackage.getModule()`

#### getModelDeclaration

    public org.eclipse.emf.ecore.EClass getModelDeclaration()

Specified by:
  `getModelDeclaration` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Model Declaration'.
See Also:
  `ModelDeclaration`

#### getModelDeclaration_ModelName

    public org.eclipse.emf.ecore.EAttribute getModelDeclaration_ModelName()

Specified by:
  `getModelDeclaration_ModelName` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Model Name'.
See Also:
  `ModelDeclaration.getModelName()`, `EmftvmPackage.getModelDeclaration()`

#### getModelDeclaration_MetaModelName

    public org.eclipse.emf.ecore.EAttribute getModelDeclaration_MetaModelName()

Specified by:
  `getModelDeclaration_MetaModelName` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Meta Model Name'.
See Also:
  `ModelDeclaration.getMetaModelName()`, `EmftvmPackage.getModelDeclaration()`

#### getModelDeclaration_InputModelFor

    public org.eclipse.emf.ecore.EReference getModelDeclaration_InputModelFor()

Specified by:
  `getModelDeclaration_InputModelFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Input Model For'.
See Also:
  `ModelDeclaration.getInputModelFor()`, `EmftvmPackage.getModelDeclaration()`

#### getModelDeclaration_InoutModelFor

    public org.eclipse.emf.ecore.EReference getModelDeclaration_InoutModelFor()

Specified by:
  `getModelDeclaration_InoutModelFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Inout Model For'.
See Also:
  `ModelDeclaration.getInoutModelFor()`, `EmftvmPackage.getModelDeclaration()`

#### getModelDeclaration_OutputModelFor

    public org.eclipse.emf.ecore.EReference getModelDeclaration_OutputModelFor()

Specified by:
  `getModelDeclaration_OutputModelFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Output Model For'.
See Also:
  `ModelDeclaration.getOutputModelFor()`, `EmftvmPackage.getModelDeclaration()`

#### getFeature

    public org.eclipse.emf.ecore.EClass getFeature()

Specified by:
  `getFeature` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Feature'.
See Also:
  `Feature`

#### getFeature_Static

    public org.eclipse.emf.ecore.EAttribute getFeature_Static()

Specified by:
  `getFeature_Static` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Static'.
See Also:
  `Feature.isStatic()`, `EmftvmPackage.getFeature()`

#### getFeature_EContext

    public org.eclipse.emf.ecore.EReference getFeature_EContext()

Specified by:
  `getFeature_EContext` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'EContext'.
See Also:
  `Feature.getEContext()`, `EmftvmPackage.getFeature()`

#### getFeature_Context

    public org.eclipse.emf.ecore.EAttribute getFeature_Context()

Specified by:
  `getFeature_Context` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Context'.
See Also:
  `Feature.getContext()`, `EmftvmPackage.getFeature()`

#### getFeature_ContextModel

    public org.eclipse.emf.ecore.EAttribute getFeature_ContextModel()

Specified by:
  `getFeature_ContextModel` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Context Model'.
See Also:
  `Feature.getContextModel()`, `EmftvmPackage.getFeature()`

#### getFeature_Module

    public org.eclipse.emf.ecore.EReference getFeature_Module()

Specified by:
  `getFeature_Module` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Module'.
See Also:
  `Feature.getModule()`, `EmftvmPackage.getFeature()`

#### getField

    public org.eclipse.emf.ecore.EClass getField()

Specified by:
  `getField` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Field'.
See Also:
  `Field`

#### getField_StaticValue

    public org.eclipse.emf.ecore.EAttribute getField_StaticValue()

Specified by:
  `getField_StaticValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Static Value'.
See Also:
  `Field.getStaticValue()`, `EmftvmPackage.getField()`

#### getField_Initialiser

    public org.eclipse.emf.ecore.EReference getField_Initialiser()

Specified by:
  `getField_Initialiser` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Initialiser'.
See Also:
  `Field.getInitialiser()`, `EmftvmPackage.getField()`

#### getField_Rule

    public org.eclipse.emf.ecore.EReference getField_Rule()

Specified by:
  `getField_Rule` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Rule'.
See Also:
  `Field.getRule()`, `EmftvmPackage.getField()`

#### getOperation

    public org.eclipse.emf.ecore.EClass getOperation()

Specified by:
  `getOperation` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Operation'.
See Also:
  `Operation`

#### getOperation_Parameters

    public org.eclipse.emf.ecore.EReference getOperation_Parameters()

Specified by:
  `getOperation_Parameters` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Parameters'.
See Also:
  `Operation.getParameters()`, `EmftvmPackage.getOperation()`

#### getOperation_Query

    public org.eclipse.emf.ecore.EAttribute getOperation_Query()

Specified by:
  `getOperation_Query` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Query'.
See Also:
  `Operation.isQuery()`, `EmftvmPackage.getOperation()`

#### getOperation_Body

    public org.eclipse.emf.ecore.EReference getOperation_Body()

Specified by:
  `getOperation_Body` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Body'.
See Also:
  `Operation.getBody()`, `EmftvmPackage.getOperation()`

#### getNamedElement

    public org.eclipse.emf.ecore.EClass getNamedElement()

Specified by:
  `getNamedElement` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Named Element'.
See Also:
  `NamedElement`

#### getNamedElement_Name

    public org.eclipse.emf.ecore.EAttribute getNamedElement_Name()

Specified by:
  `getNamedElement_Name` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `NamedElement.getName()`, `EmftvmPackage.getNamedElement()`

#### getParameter

    public org.eclipse.emf.ecore.EClass getParameter()

Specified by:
  `getParameter` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Parameter'.
See Also:
  `Parameter`

#### getParameter_Operation

    public org.eclipse.emf.ecore.EReference getParameter_Operation()

Specified by:
  `getParameter_Operation` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Operation'.
See Also:
  `Parameter.getOperation()`, `EmftvmPackage.getParameter()`

#### getTypedElement

    public org.eclipse.emf.ecore.EClass getTypedElement()

Specified by:
  `getTypedElement` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Typed Element'.
See Also:
  `TypedElement`

#### getTypedElement_EType

    public org.eclipse.emf.ecore.EReference getTypedElement_EType()

Specified by:
  `getTypedElement_EType` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'EType'.
See Also:
  `TypedElement.getEType()`, `EmftvmPackage.getTypedElement()`

#### getTypedElement_Type

    public org.eclipse.emf.ecore.EAttribute getTypedElement_Type()

Specified by:
  `getTypedElement_Type` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Type'.
See Also:
  `TypedElement.getType()`, `EmftvmPackage.getTypedElement()`

#### getTypedElement_TypeModel

    public org.eclipse.emf.ecore.EAttribute getTypedElement_TypeModel()

Specified by:
  `getTypedElement_TypeModel` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Type Model'.
See Also:
  `TypedElement.getTypeModel()`, `EmftvmPackage.getTypedElement()`

#### getInstruction

    public org.eclipse.emf.ecore.EClass getInstruction()

Specified by:
  `getInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Instruction'.
See Also:
  `Instruction`

#### getInstruction_OwningBlock

    public org.eclipse.emf.ecore.EReference getInstruction_OwningBlock()

Specified by:
  `getInstruction_OwningBlock` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  `Instruction.getOwningBlock()`, `EmftvmPackage.getInstruction()`

#### getInstruction_Opcode

    public org.eclipse.emf.ecore.EAttribute getInstruction_Opcode()

Specified by:
  `getInstruction_Opcode` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Opcode'.
See Also:
  `Instruction.getOpcode()`, `EmftvmPackage.getInstruction()`

#### getInstruction_StackProduction

    public org.eclipse.emf.ecore.EAttribute getInstruction_StackProduction()

Specified by:
  `getInstruction_StackProduction` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Stack Production'.
See Also:
  `Instruction.getStackProduction()`, `EmftvmPackage.getInstruction()`

#### getInstruction_StackConsumption

    public org.eclipse.emf.ecore.EAttribute getInstruction_StackConsumption()

Specified by:
  `getInstruction_StackConsumption` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Stack Consumption'.
See Also:
  `Instruction.getStackConsumption()`, `EmftvmPackage.getInstruction()`

#### getInstruction_StackLevel

    public org.eclipse.emf.ecore.EAttribute getInstruction_StackLevel()

Specified by:
  `getInstruction_StackLevel` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Stack Level'.
See Also:
  `Instruction.getStackLevel()`, `EmftvmPackage.getInstruction()`

#### getInstruction_LineNumber

    public org.eclipse.emf.ecore.EReference getInstruction_LineNumber()

Specified by:
  `getInstruction_LineNumber` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Line Number'.
See Also:
  `Instruction.getLineNumber()`, `EmftvmPackage.getInstruction()`

#### getLineNumber

    public org.eclipse.emf.ecore.EClass getLineNumber()

Specified by:
  `getLineNumber` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Line Number'.
See Also:
  `LineNumber`

#### getLineNumber_StartLine

    public org.eclipse.emf.ecore.EAttribute getLineNumber_StartLine()

Specified by:
  `getLineNumber_StartLine` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Start Line'.
See Also:
  `LineNumber.getStartLine()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_StartColumn

    public org.eclipse.emf.ecore.EAttribute getLineNumber_StartColumn()

Specified by:
  `getLineNumber_StartColumn` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Start Column'.
See Also:
  `LineNumber.getStartColumn()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_EndLine

    public org.eclipse.emf.ecore.EAttribute getLineNumber_EndLine()

Specified by:
  `getLineNumber_EndLine` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'End Line'.
See Also:
  `LineNumber.getEndLine()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_EndColumn

    public org.eclipse.emf.ecore.EAttribute getLineNumber_EndColumn()

Specified by:
  `getLineNumber_EndColumn` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'End Column'.
See Also:
  `LineNumber.getEndColumn()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_StartChar

    public org.eclipse.emf.ecore.EAttribute getLineNumber_StartChar()

Specified by:
  `getLineNumber_StartChar` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Start Char'.
See Also:
  `LineNumber.getStartChar()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_EndChar

    public org.eclipse.emf.ecore.EAttribute getLineNumber_EndChar()

Specified by:
  `getLineNumber_EndChar` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'End Char'.
See Also:
  `LineNumber.getEndChar()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_OwningBlock

    public org.eclipse.emf.ecore.EReference getLineNumber_OwningBlock()

Specified by:
  `getLineNumber_OwningBlock` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  `LineNumber.getOwningBlock()`, `EmftvmPackage.getLineNumber()`

#### getLineNumber_Instructions

    public org.eclipse.emf.ecore.EReference getLineNumber_Instructions()

Specified by:
  `getLineNumber_Instructions` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'Instructions'.
See Also:
  `LineNumber.getInstructions()`, `EmftvmPackage.getLineNumber()`

#### getLocalVariable

    public org.eclipse.emf.ecore.EClass getLocalVariable()

Specified by:
  `getLocalVariable` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Local Variable'.
See Also:
  `LocalVariable`

#### getLocalVariable_Slot

    public org.eclipse.emf.ecore.EAttribute getLocalVariable_Slot()

Specified by:
  `getLocalVariable_Slot` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Slot'.
See Also:
  `LocalVariable.getSlot()`, `EmftvmPackage.getLocalVariable()`

#### getLocalVariable_StartInstruction

    public org.eclipse.emf.ecore.EReference getLocalVariable_StartInstruction()

Specified by:
  `getLocalVariable_StartInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Start Instruction'.
See Also:
  `LocalVariable.getStartInstruction()`, `EmftvmPackage.getLocalVariable()`

#### getLocalVariable_EndInstruction

    public org.eclipse.emf.ecore.EReference getLocalVariable_EndInstruction()

Specified by:
  `getLocalVariable_EndInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'End Instruction'.
See Also:
  `LocalVariable.getEndInstruction()`, `EmftvmPackage.getLocalVariable()`

#### getLocalVariable_StartInstructionIndex

    public org.eclipse.emf.ecore.EAttribute getLocalVariable_StartInstructionIndex()

Specified by:
  `getLocalVariable_StartInstructionIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Start Instruction Index'.
See Also:
  `LocalVariable.getStartInstructionIndex()`, `EmftvmPackage.getLocalVariable()`

#### getLocalVariable_EndInstructionIndex

    public org.eclipse.emf.ecore.EAttribute getLocalVariable_EndInstructionIndex()

Specified by:
  `getLocalVariable_EndInstructionIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'End Instruction Index'.
See Also:
  `LocalVariable.getEndInstructionIndex()`, `EmftvmPackage.getLocalVariable()`

#### getLocalVariable_OwningBlock

    public org.eclipse.emf.ecore.EReference getLocalVariable_OwningBlock()

Specified by:
  `getLocalVariable_OwningBlock` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Owning Block'.
See Also:
  `LocalVariable.getOwningBlock()`, `EmftvmPackage.getLocalVariable()`

#### getRule

    public org.eclipse.emf.ecore.EClass getRule()

Specified by:
  `getRule` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Rule'.
See Also:
  `Rule`

#### getRule_Module

    public org.eclipse.emf.ecore.EReference getRule_Module()

Specified by:
  `getRule_Module` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Module'.
See Also:
  `Rule.getModule()`, `EmftvmPackage.getRule()`

#### getRule_Mode

    public org.eclipse.emf.ecore.EAttribute getRule_Mode()

Specified by:
  `getRule_Mode` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Mode'.
See Also:
  `Rule.getMode()`, `EmftvmPackage.getRule()`

#### getRule_InputElements

    public org.eclipse.emf.ecore.EReference getRule_InputElements()

Specified by:
  `getRule_InputElements` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Input Elements'.
See Also:
  `Rule.getInputElements()`, `EmftvmPackage.getRule()`

#### getRule_OutputElements

    public org.eclipse.emf.ecore.EReference getRule_OutputElements()

Specified by:
  `getRule_OutputElements` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Output Elements'.
See Also:
  `Rule.getOutputElements()`, `EmftvmPackage.getRule()`

#### getRule_ESuperRules

    public org.eclipse.emf.ecore.EReference getRule_ESuperRules()

Specified by:
  `getRule_ESuperRules` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'ESuper Rules'.
See Also:
  `Rule.getESuperRules()`, `EmftvmPackage.getRule()`

#### getRule_ESubRules

    public org.eclipse.emf.ecore.EReference getRule_ESubRules()

Specified by:
  `getRule_ESubRules` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'ESub Rules'.
See Also:
  `Rule.getESubRules()`, `EmftvmPackage.getRule()`

#### getRule_Matcher

    public org.eclipse.emf.ecore.EReference getRule_Matcher()

Specified by:
  `getRule_Matcher` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Matcher'.
See Also:
  `Rule.getMatcher()`, `EmftvmPackage.getRule()`

#### getRule_Applier

    public org.eclipse.emf.ecore.EReference getRule_Applier()

Specified by:
  `getRule_Applier` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Applier'.
See Also:
  `Rule.getApplier()`, `EmftvmPackage.getRule()`

#### getRule_PostApply

    public org.eclipse.emf.ecore.EReference getRule_PostApply()

Specified by:
  `getRule_PostApply` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Post Apply'.
See Also:
  `Rule.getPostApply()`, `EmftvmPackage.getRule()`

#### getRule_SuperRules

    public org.eclipse.emf.ecore.EAttribute getRule_SuperRules()

Specified by:
  `getRule_SuperRules` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute list 'Super Rules'.
See Also:
  `Rule.getSuperRules()`, `EmftvmPackage.getRule()`

#### getRule_Abstract

    public org.eclipse.emf.ecore.EAttribute getRule_Abstract()

Specified by:
  `getRule_Abstract` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Abstract'.
See Also:
  `Rule.isAbstract()`, `EmftvmPackage.getRule()`

#### getRule_Fields

    public org.eclipse.emf.ecore.EReference getRule_Fields()

Specified by:
  `getRule_Fields` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Fields'.
See Also:
  `Rule.getFields()`, `EmftvmPackage.getRule()`

#### getRule_Default

    public org.eclipse.emf.ecore.EAttribute getRule_Default()

Specified by:
  `getRule_Default` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Default'.
See Also:
  `Rule.isDefault()`, `EmftvmPackage.getRule()`

#### getRule_DistinctElements

    public org.eclipse.emf.ecore.EAttribute getRule_DistinctElements()

Specified by:
  `getRule_DistinctElements` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Distinct Elements'.
See Also:
  `Rule.isDistinctElements()`, `EmftvmPackage.getRule()`

#### getRule_Unique

    public org.eclipse.emf.ecore.EAttribute getRule_Unique()

Specified by:
  `getRule_Unique` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Unique'.
See Also:
  `Rule.isUnique()`, `EmftvmPackage.getRule()`

#### getRule_Leaf

    public org.eclipse.emf.ecore.EAttribute getRule_Leaf()

Specified by:
  `getRule_Leaf` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Leaf'.
See Also:
  `Rule.isLeaf()`, `EmftvmPackage.getRule()`

#### getRule_WithLeaves

    public org.eclipse.emf.ecore.EAttribute getRule_WithLeaves()

Specified by:
  `getRule_WithLeaves` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'With Leaves'.
See Also:
  `Rule.isWithLeaves()`, `EmftvmPackage.getRule()`

#### getRuleElement

    public org.eclipse.emf.ecore.EClass getRuleElement()

Specified by:
  `getRuleElement` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Rule Element'.
See Also:
  `RuleElement`

#### getCodeBlock

    public org.eclipse.emf.ecore.EClass getCodeBlock()

Specified by:
  `getCodeBlock` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Code Block'.
See Also:
  `CodeBlock`

#### getCodeBlock_MaxLocals

    public org.eclipse.emf.ecore.EAttribute getCodeBlock_MaxLocals()

Specified by:
  `getCodeBlock_MaxLocals` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Max Locals'.
See Also:
  `CodeBlock.getMaxLocals()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_MaxStack

    public org.eclipse.emf.ecore.EAttribute getCodeBlock_MaxStack()

Specified by:
  `getCodeBlock_MaxStack` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Max Stack'.
See Also:
  `CodeBlock.getMaxStack()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_Code

    public org.eclipse.emf.ecore.EReference getCodeBlock_Code()

Specified by:
  `getCodeBlock_Code` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Code'.
See Also:
  `CodeBlock.getCode()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_LineNumbers

    public org.eclipse.emf.ecore.EReference getCodeBlock_LineNumbers()

Specified by:
  `getCodeBlock_LineNumbers` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Line Numbers'.
See Also:
  `CodeBlock.getLineNumbers()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_LocalVariables

    public org.eclipse.emf.ecore.EReference getCodeBlock_LocalVariables()

Specified by:
  `getCodeBlock_LocalVariables` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Local Variables'.
See Also:
  `CodeBlock.getLocalVariables()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_MatcherFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_MatcherFor()

Specified by:
  `getCodeBlock_MatcherFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Matcher For'.
See Also:
  `CodeBlock.getMatcherFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_ApplierFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_ApplierFor()

Specified by:
  `getCodeBlock_ApplierFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Applier For'.
See Also:
  `CodeBlock.getApplierFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_PostApplyFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_PostApplyFor()

Specified by:
  `getCodeBlock_PostApplyFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Post Apply For'.
See Also:
  `CodeBlock.getPostApplyFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_BodyFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_BodyFor()

Specified by:
  `getCodeBlock_BodyFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Body For'.
See Also:
  `CodeBlock.getBodyFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_InitialiserFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_InitialiserFor()

Specified by:
  `getCodeBlock_InitialiserFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Initialiser For'.
See Also:
  `CodeBlock.getInitialiserFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_Nested

    public org.eclipse.emf.ecore.EReference getCodeBlock_Nested()

Specified by:
  `getCodeBlock_Nested` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference list 'Nested'.
See Also:
  `CodeBlock.getNested()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_NestedFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_NestedFor()

Specified by:
  `getCodeBlock_NestedFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Nested For'.
See Also:
  `CodeBlock.getNestedFor()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_ParentFrame

    public org.eclipse.emf.ecore.EAttribute getCodeBlock_ParentFrame()

Specified by:
  `getCodeBlock_ParentFrame` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Parent Frame'.
See Also:
  `CodeBlock.getParentFrame()`, `EmftvmPackage.getCodeBlock()`

#### getCodeBlock_BindingFor

    public org.eclipse.emf.ecore.EReference getCodeBlock_BindingFor()

Specified by:
  `getCodeBlock_BindingFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Binding For'.
See Also:
  `CodeBlock.getBindingFor()`, `EmftvmPackage.getCodeBlock()`

#### getPush

    public org.eclipse.emf.ecore.EClass getPush()

Specified by:
  `getPush` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Push'.
See Also:
  `Push`

#### getPush_Value

    public org.eclipse.emf.ecore.EAttribute getPush_Value()

Specified by:
  `getPush_Value` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Value'.
See Also:
  `Push.getValue()`, `EmftvmPackage.getPush()`

#### getPush_StringValue

    public org.eclipse.emf.ecore.EAttribute getPush_StringValue()

Specified by:
  `getPush_StringValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'String Value'.
See Also:
  `Push.getStringValue()`, `EmftvmPackage.getPush()`

#### getPush_IntValue

    public org.eclipse.emf.ecore.EAttribute getPush_IntValue()

Specified by:
  `getPush_IntValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Int Value'.
See Also:
  `Push.getIntValue()`, `EmftvmPackage.getPush()`

#### getPush_DoubleValue

    public org.eclipse.emf.ecore.EAttribute getPush_DoubleValue()

Specified by:
  `getPush_DoubleValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Double Value'.
See Also:
  `Push.getDoubleValue()`, `EmftvmPackage.getPush()`

#### getPush_ByteValue

    public org.eclipse.emf.ecore.EAttribute getPush_ByteValue()

Specified by:
  `getPush_ByteValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Byte Value'.
See Also:
  `Push.getByteValue()`, `EmftvmPackage.getPush()`

#### getPush_CharValue

    public org.eclipse.emf.ecore.EAttribute getPush_CharValue()

Specified by:
  `getPush_CharValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Char Value'.
See Also:
  `Push.getCharValue()`, `EmftvmPackage.getPush()`

#### getPush_FloatValue

    public org.eclipse.emf.ecore.EAttribute getPush_FloatValue()

Specified by:
  `getPush_FloatValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Float Value'.
See Also:
  `Push.getFloatValue()`, `EmftvmPackage.getPush()`

#### getPush_ShortValue

    public org.eclipse.emf.ecore.EAttribute getPush_ShortValue()

Specified by:
  `getPush_ShortValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Short Value'.
See Also:
  `Push.getShortValue()`, `EmftvmPackage.getPush()`

#### getPush_LongValue

    public org.eclipse.emf.ecore.EAttribute getPush_LongValue()

Specified by:
  `getPush_LongValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Long Value'.
See Also:
  `Push.getLongValue()`, `EmftvmPackage.getPush()`

#### getPush_EnumValue

    public org.eclipse.emf.ecore.EAttribute getPush_EnumValue()

Specified by:
  `getPush_EnumValue` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Enum Value'.
See Also:
  `Push.getEnumValue()`, `EmftvmPackage.getPush()`

#### getPusht

    public org.eclipse.emf.ecore.EClass getPusht()

Specified by:
  `getPusht` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Pusht'.
See Also:
  `Pusht`

#### getPushf

    public org.eclipse.emf.ecore.EClass getPushf()

Specified by:
  `getPushf` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Pushf'.
See Also:
  `Pushf`

#### getPop

    public org.eclipse.emf.ecore.EClass getPop()

Specified by:
  `getPop` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Pop'.
See Also:
  `Pop`

#### getLocalVariableInstruction

    public org.eclipse.emf.ecore.EClass getLocalVariableInstruction()

Specified by:
  `getLocalVariableInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Local Variable Instruction'.
See Also:
  `LocalVariableInstruction`

#### getLocalVariableInstruction_CbOffset

    public org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_CbOffset()

Specified by:
  `getLocalVariableInstruction_CbOffset` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Cb Offset'.
See Also:
  `LocalVariableInstruction.getCbOffset()`, `EmftvmPackage.getLocalVariableInstruction()`

#### getLocalVariableInstruction_Slot

    public org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_Slot()

Specified by:
  `getLocalVariableInstruction_Slot` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Slot'.
See Also:
  `LocalVariableInstruction.getSlot()`, `EmftvmPackage.getLocalVariableInstruction()`

#### getLocalVariableInstruction_LocalVariableIndex

    public org.eclipse.emf.ecore.EAttribute getLocalVariableInstruction_LocalVariableIndex()

Specified by:
  `getLocalVariableInstruction_LocalVariableIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Local Variable Index'.
See Also:
  `LocalVariableInstruction.getLocalVariableIndex()`, `EmftvmPackage.getLocalVariableInstruction()`

#### getLocalVariableInstruction_LocalVariable

    public org.eclipse.emf.ecore.EReference getLocalVariableInstruction_LocalVariable()

Specified by:
  `getLocalVariableInstruction_LocalVariable` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Local Variable'.
See Also:
  `LocalVariableInstruction.getLocalVariable()`, `EmftvmPackage.getLocalVariableInstruction()`

#### getLoad

    public org.eclipse.emf.ecore.EClass getLoad()

Specified by:
  `getLoad` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Load'.
See Also:
  `Load`

#### getStore

    public org.eclipse.emf.ecore.EClass getStore()

Specified by:
  `getStore` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Store'.
See Also:
  `Store`

#### getFieldInstruction

    public org.eclipse.emf.ecore.EClass getFieldInstruction()

Specified by:
  `getFieldInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Field Instruction'.
See Also:
  `FieldInstruction`

#### getFieldInstruction_Fieldname

    public org.eclipse.emf.ecore.EAttribute getFieldInstruction_Fieldname()

Specified by:
  `getFieldInstruction_Fieldname` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Fieldname'.
See Also:
  `FieldInstruction.getFieldname()`, `EmftvmPackage.getFieldInstruction()`

#### getSet

    public org.eclipse.emf.ecore.EClass getSet()

Specified by:
  `getSet` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Set'.
See Also:
  `Set`

#### getGet

    public org.eclipse.emf.ecore.EClass getGet()

Specified by:
  `getGet` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Get'.
See Also:
  `Get`

#### getGetTrans

    public org.eclipse.emf.ecore.EClass getGetTrans()

Specified by:
  `getGetTrans` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Get Trans'.
See Also:
  `GetTrans`

#### getSetStatic

    public org.eclipse.emf.ecore.EClass getSetStatic()

Specified by:
  `getSetStatic` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Set Static'.
See Also:
  `SetStatic`

#### getGetStatic

    public org.eclipse.emf.ecore.EClass getGetStatic()

Specified by:
  `getGetStatic` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Get Static'.
See Also:
  `GetStatic`

#### getFindtype

    public org.eclipse.emf.ecore.EClass getFindtype()

Specified by:
  `getFindtype` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Findtype'.
See Also:
  `Findtype`

#### getFindtype_Modelname

    public org.eclipse.emf.ecore.EAttribute getFindtype_Modelname()

Specified by:
  `getFindtype_Modelname` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Modelname'.
See Also:
  `Findtype.getModelname()`, `EmftvmPackage.getFindtype()`

#### getFindtype_Typename

    public org.eclipse.emf.ecore.EAttribute getFindtype_Typename()

Specified by:
  `getFindtype_Typename` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Typename'.
See Also:
  `Findtype.getTypename()`, `EmftvmPackage.getFindtype()`

#### getFindtypeS

    public org.eclipse.emf.ecore.EClass getFindtypeS()

Specified by:
  `getFindtypeS` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Findtype S'.
See Also:
  `FindtypeS`

#### getNew

    public org.eclipse.emf.ecore.EClass getNew()

Specified by:
  `getNew` in interface `EmftvmPackage`
Returns:
  the meta object for class 'New'.
See Also:
  `New`

#### getNew_Modelname

    public org.eclipse.emf.ecore.EAttribute getNew_Modelname()

Specified by:
  `getNew_Modelname` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Modelname'.
See Also:
  `New.getModelname()`, `EmftvmPackage.getNew()`

#### getNewS

    public org.eclipse.emf.ecore.EClass getNewS()

Specified by:
  `getNewS` in interface `EmftvmPackage`
Returns:
  the meta object for class 'New S'.
See Also:
  `NewS`

#### getDelete

    public org.eclipse.emf.ecore.EClass getDelete()

Specified by:
  `getDelete` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Delete'.
See Also:
  `Delete`

#### getDup

    public org.eclipse.emf.ecore.EClass getDup()

Specified by:
  `getDup` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Dup'.
See Also:
  `Dup`

#### getDupX1

    public org.eclipse.emf.ecore.EClass getDupX1()

Specified by:
  `getDupX1` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Dup X1'.
See Also:
  `DupX1`

#### getSwap

    public org.eclipse.emf.ecore.EClass getSwap()

Specified by:
  `getSwap` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Swap'.
See Also:
  `Swap`

#### getSwapX1

    public org.eclipse.emf.ecore.EClass getSwapX1()

Specified by:
  `getSwapX1` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Swap X1'.
See Also:
  `SwapX1`

#### getBranchInstruction

    public org.eclipse.emf.ecore.EClass getBranchInstruction()

Specified by:
  `getBranchInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Branch Instruction'.
See Also:
  `BranchInstruction`

#### getBranchInstruction_Offset

    public org.eclipse.emf.ecore.EAttribute getBranchInstruction_Offset()

Specified by:
  `getBranchInstruction_Offset` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Offset'.
See Also:
  `BranchInstruction.getOffset()`, `EmftvmPackage.getBranchInstruction()`

#### getBranchInstruction_Target

    public org.eclipse.emf.ecore.EReference getBranchInstruction_Target()

Specified by:
  `getBranchInstruction_Target` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Target'.
See Also:
  `BranchInstruction.getTarget()`, `EmftvmPackage.getBranchInstruction()`

#### getIf

    public org.eclipse.emf.ecore.EClass getIf()

Specified by:
  `getIf` in interface `EmftvmPackage`
Returns:
  the meta object for class 'If'.
See Also:
  `If`

#### getIfn

    public org.eclipse.emf.ecore.EClass getIfn()

Specified by:
  `getIfn` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Ifn'.
See Also:
  `Ifn`

#### getGoto

    public org.eclipse.emf.ecore.EClass getGoto()

Specified by:
  `getGoto` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Goto'.
See Also:
  `Goto`

#### getIterate

    public org.eclipse.emf.ecore.EClass getIterate()

Specified by:
  `getIterate` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Iterate'.
See Also:
  `Iterate`

#### getEnditerate

    public org.eclipse.emf.ecore.EClass getEnditerate()

Specified by:
  `getEnditerate` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Enditerate'.
See Also:
  `Enditerate`

#### getInvokeInstruction

    public org.eclipse.emf.ecore.EClass getInvokeInstruction()

Specified by:
  `getInvokeInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Instruction'.
See Also:
  `InvokeInstruction`

#### getInvokeInstruction_Argcount

    public org.eclipse.emf.ecore.EAttribute getInvokeInstruction_Argcount()

Specified by:
  `getInvokeInstruction_Argcount` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Argcount'.
See Also:
  `InvokeInstruction.getArgcount()`, `EmftvmPackage.getInvokeInstruction()`

#### getInvokeOperationInstruction

    public org.eclipse.emf.ecore.EClass getInvokeOperationInstruction()

Specified by:
  `getInvokeOperationInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Operation Instruction'.
See Also:
  `InvokeOperationInstruction`

#### getInvokeOperationInstruction_Opname

    public org.eclipse.emf.ecore.EAttribute getInvokeOperationInstruction_Opname()

Specified by:
  `getInvokeOperationInstruction_Opname` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Opname'.
See Also:
  `InvokeOperationInstruction.getOpname()`, `EmftvmPackage.getInvokeOperationInstruction()`

#### getInvoke

    public org.eclipse.emf.ecore.EClass getInvoke()

Specified by:
  `getInvoke` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke'.
See Also:
  `Invoke`

#### getInvokeSuper

    public org.eclipse.emf.ecore.EClass getInvokeSuper()

Specified by:
  `getInvokeSuper` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Super'.
See Also:
  `InvokeSuper`

#### getInvokeStatic

    public org.eclipse.emf.ecore.EClass getInvokeStatic()

Specified by:
  `getInvokeStatic` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Static'.
See Also:
  `InvokeStatic`

#### getAllinst

    public org.eclipse.emf.ecore.EClass getAllinst()

Specified by:
  `getAllinst` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Allinst'.
See Also:
  `Allinst`

#### getAllinstIn

    public org.eclipse.emf.ecore.EClass getAllinstIn()

Specified by:
  `getAllinstIn` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Allinst In'.
See Also:
  `AllinstIn`

#### getMatch

    public org.eclipse.emf.ecore.EClass getMatch()

Specified by:
  `getMatch` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Match'.
See Also:
  `Match`

#### getMatch_Rulename

    public org.eclipse.emf.ecore.EAttribute getMatch_Rulename()

Specified by:
  `getMatch_Rulename` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Rulename'.
See Also:
  `Match.getRulename()`, `EmftvmPackage.getMatch()`

#### getMatchS

    public org.eclipse.emf.ecore.EClass getMatchS()

Specified by:
  `getMatchS` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Match S'.
See Also:
  `MatchS`

#### getAdd

    public org.eclipse.emf.ecore.EClass getAdd()

Specified by:
  `getAdd` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Add'.
See Also:
  `Add`

#### getRemove

    public org.eclipse.emf.ecore.EClass getRemove()

Specified by:
  `getRemove` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Remove'.
See Also:
  `Remove`

#### getInsert

    public org.eclipse.emf.ecore.EClass getInsert()

Specified by:
  `getInsert` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Insert'.
See Also:
  `Insert`

#### getGetSuper

    public org.eclipse.emf.ecore.EClass getGetSuper()

Specified by:
  `getGetSuper` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Get Super'.
See Also:
  `GetSuper`

#### getGetenv

    public org.eclipse.emf.ecore.EClass getGetenv()

Specified by:
  `getGetenv` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Getenv'.
See Also:
  `Getenv`

#### getReturn

    public org.eclipse.emf.ecore.EClass getReturn()

Specified by:
  `getReturn` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Return'.
See Also:
  `Return`

#### getCodeBlockInstruction

    public org.eclipse.emf.ecore.EClass getCodeBlockInstruction()

Specified by:
  `getCodeBlockInstruction` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Code Block Instruction'.
See Also:
  `CodeBlockInstruction`

#### getCodeBlockInstruction_CodeBlock

    public org.eclipse.emf.ecore.EReference getCodeBlockInstruction_CodeBlock()

Specified by:
  `getCodeBlockInstruction_CodeBlock` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Code Block'.
See Also:
  `CodeBlockInstruction.getCodeBlock()`, `EmftvmPackage.getCodeBlockInstruction()`

#### getCodeBlockInstruction_CbIndex

    public org.eclipse.emf.ecore.EAttribute getCodeBlockInstruction_CbIndex()

Specified by:
  `getCodeBlockInstruction_CbIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Cb Index'.
See Also:
  `CodeBlockInstruction.getCbIndex()`, `EmftvmPackage.getCodeBlockInstruction()`

#### getGetcb

    public org.eclipse.emf.ecore.EClass getGetcb()

Specified by:
  `getGetcb` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Getcb'.
See Also:
  `Getcb`

#### getInvokeAllCbs

    public org.eclipse.emf.ecore.EClass getInvokeAllCbs()

Specified by:
  `getInvokeAllCbs` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke All Cbs'.
See Also:
  `InvokeAllCbs`

#### getInvokeCb

    public org.eclipse.emf.ecore.EClass getInvokeCb()

Specified by:
  `getInvokeCb` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Cb'.
See Also:
  `InvokeCb`

#### getInvokeCbS

    public org.eclipse.emf.ecore.EClass getInvokeCbS()

Specified by:
  `getInvokeCbS` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Invoke Cb S'.
See Also:
  `InvokeCbS`

#### getModelDeclarationTag

    public org.eclipse.emf.ecore.EEnum getModelDeclarationTag()

Specified by:
  `getModelDeclarationTag` in interface `EmftvmPackage`
Returns:
  the meta object for enum 'Model Declaration Tag'.
See Also:
  `ModelDeclarationTag`

#### getNot

    public org.eclipse.emf.ecore.EClass getNot()

Specified by:
  `getNot` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Not'.
See Also:
  `Not`

#### getAnd

    public org.eclipse.emf.ecore.EClass getAnd()

Specified by:
  `getAnd` in interface `EmftvmPackage`
Returns:
  the meta object for class 'And'.
See Also:
  `And`

#### getOr

    public org.eclipse.emf.ecore.EClass getOr()

Specified by:
  `getOr` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Or'.
See Also:
  `Or`

#### getXor

    public org.eclipse.emf.ecore.EClass getXor()

Specified by:
  `getXor` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Xor'.
See Also:
  `Xor`

#### getImplies

    public org.eclipse.emf.ecore.EClass getImplies()

Specified by:
  `getImplies` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Implies'.
See Also:
  `Implies`

#### getIfte

    public org.eclipse.emf.ecore.EClass getIfte()

Specified by:
  `getIfte` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Ifte'.
See Also:
  `Ifte`

#### getIfte_ThenCbIndex

    public org.eclipse.emf.ecore.EAttribute getIfte_ThenCbIndex()

Specified by:
  `getIfte_ThenCbIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Then Cb Index'.
See Also:
  `Ifte.getThenCbIndex()`, `EmftvmPackage.getIfte()`

#### getIfte_ElseCbIndex

    public org.eclipse.emf.ecore.EAttribute getIfte_ElseCbIndex()

Specified by:
  `getIfte_ElseCbIndex` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Else Cb Index'.
See Also:
  `Ifte.getElseCbIndex()`, `EmftvmPackage.getIfte()`

#### getIfte_ThenCb

    public org.eclipse.emf.ecore.EReference getIfte_ThenCb()

Specified by:
  `getIfte_ThenCb` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Then Cb'.
See Also:
  `Ifte.getThenCb()`, `EmftvmPackage.getIfte()`

#### getIfte_ElseCb

    public org.eclipse.emf.ecore.EReference getIfte_ElseCb()

Specified by:
  `getIfte_ElseCb` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Else Cb'.
See Also:
  `Ifte.getElseCb()`, `EmftvmPackage.getIfte()`

#### getIsnull

    public org.eclipse.emf.ecore.EClass getIsnull()

Specified by:
  `getIsnull` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Isnull'.
See Also:
  `Isnull`

#### getGetenvtype

    public org.eclipse.emf.ecore.EClass getGetenvtype()

Specified by:
  `getGetenvtype` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Getenvtype'.
See Also:
  `Getenvtype`

#### getFeatureTag

    public org.eclipse.emf.ecore.EEnum getFeatureTag()

Specified by:
  `getFeatureTag` in interface `EmftvmPackage`
Returns:
  the meta object for enum 'Feature Tag'.
See Also:
  `FeatureTag`

#### getExecEnv

    public org.eclipse.emf.ecore.EClass getExecEnv()

Specified by:
  `getExecEnv` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Exec Env'.
See Also:
  `ExecEnv`

#### getExecEnv_Modules

    public org.eclipse.emf.ecore.EAttribute getExecEnv_Modules()

Specified by:
  `getExecEnv_Modules` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Modules'.
See Also:
  `ExecEnv.getModules()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_Matches

    public org.eclipse.emf.ecore.EReference getExecEnv_Matches()

Specified by:
  `getExecEnv_Matches` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Matches'.
See Also:
  `ExecEnv.getMatches()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_Traces

    public org.eclipse.emf.ecore.EReference getExecEnv_Traces()

Specified by:
  `getExecEnv_Traces` in interface `EmftvmPackage`
Returns:
  the meta object for the reference 'Traces'.
See Also:
  `ExecEnv.getTraces()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_UniqueResults

    public org.eclipse.emf.ecore.EAttribute getExecEnv_UniqueResults()

Specified by:
  `getExecEnv_UniqueResults` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Unique Results'.
See Also:
  `ExecEnv.getUniqueResults()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_JitDisabled

    public org.eclipse.emf.ecore.EAttribute getExecEnv_JitDisabled()

Specified by:
  `getExecEnv_JitDisabled` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Jit Disabled'.
See Also:
  `ExecEnv.isJitDisabled()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_CurrentPhase

    public org.eclipse.emf.ecore.EAttribute getExecEnv_CurrentPhase()

Specified by:
  `getExecEnv_CurrentPhase` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Current Phase'.
See Also:
  `ExecEnv.getCurrentPhase()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_MetaModels

    public org.eclipse.emf.ecore.EAttribute getExecEnv_MetaModels()

Specified by:
  `getExecEnv_MetaModels` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Meta Models'.
See Also:
  `ExecEnv.getMetaModels()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_InputModels

    public org.eclipse.emf.ecore.EAttribute getExecEnv_InputModels()

Specified by:
  `getExecEnv_InputModels` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Input Models'.
See Also:
  `ExecEnv.getInputModels()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_InoutModels

    public org.eclipse.emf.ecore.EAttribute getExecEnv_InoutModels()

Specified by:
  `getExecEnv_InoutModels` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Inout Models'.
See Also:
  `ExecEnv.getInoutModels()`, `EmftvmPackage.getExecEnv()`

#### getExecEnv_OutputModels

    public org.eclipse.emf.ecore.EAttribute getExecEnv_OutputModels()

Specified by:
  `getExecEnv_OutputModels` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Output Models'.
See Also:
  `ExecEnv.getOutputModels()`, `EmftvmPackage.getExecEnv()`

#### getModel

    public org.eclipse.emf.ecore.EClass getModel()

Specified by:
  `getModel` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Model'.
See Also:
  `Model`

#### getModel_Resource

    public org.eclipse.emf.ecore.EAttribute getModel_Resource()

Specified by:
  `getModel_Resource` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Resource'.
See Also:
  `Model.getResource()`, `EmftvmPackage.getModel()`

#### getModel_AllowInterModelReferences

    public org.eclipse.emf.ecore.EAttribute getModel_AllowInterModelReferences()

Specified by:
  `getModel_AllowInterModelReferences` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Allow Inter Model References'.
See Also:
  `Model.isAllowInterModelReferences()`, `EmftvmPackage.getModel()`

#### getMetamodel

    public org.eclipse.emf.ecore.EClass getMetamodel()

Specified by:
  `getMetamodel` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Metamodel'.
See Also:
  `Metamodel`

#### getRuleElement_Models

    public org.eclipse.emf.ecore.EAttribute getRuleElement_Models()

Specified by:
  `getRuleElement_Models` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute list 'Models'.
See Also:
  `RuleElement.getModels()`, `EmftvmPackage.getRuleElement()`

#### getRuleElement_EModels

    public org.eclipse.emf.ecore.EReference getRuleElement_EModels()

Specified by:
  `getRuleElement_EModels` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'EModels'.
See Also:
  `RuleElement.getEModels()`, `EmftvmPackage.getRuleElement()`

#### getInputRuleElement

    public org.eclipse.emf.ecore.EClass getInputRuleElement()

Specified by:
  `getInputRuleElement` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Input Rule Element'.
See Also:
  `InputRuleElement`

#### getInputRuleElement_Binding

    public org.eclipse.emf.ecore.EReference getInputRuleElement_Binding()

Specified by:
  `getInputRuleElement_Binding` in interface `EmftvmPackage`
Returns:
  the meta object for the containment reference 'Binding'.
See Also:
  `InputRuleElement.getBinding()`, `EmftvmPackage.getInputRuleElement()`

#### getInputRuleElement_InputFor

    public org.eclipse.emf.ecore.EReference getInputRuleElement_InputFor()

Specified by:
  `getInputRuleElement_InputFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Input For'.
See Also:
  `InputRuleElement.getInputFor()`, `EmftvmPackage.getInputRuleElement()`

#### getInputRuleElement_MapsToSelf

    public org.eclipse.emf.ecore.EAttribute getInputRuleElement_MapsToSelf()

Specified by:
  `getInputRuleElement_MapsToSelf` in interface `EmftvmPackage`
Returns:
  the meta object for the attribute 'Maps To Self'.
See Also:
  `InputRuleElement.isMapsToSelf()`, `EmftvmPackage.getInputRuleElement()`

#### getOutputRuleElement

    public org.eclipse.emf.ecore.EClass getOutputRuleElement()

Specified by:
  `getOutputRuleElement` in interface `EmftvmPackage`
Returns:
  the meta object for class 'Output Rule Element'.
See Also:
  `OutputRuleElement`

#### getOutputRuleElement_MapsTo

    public org.eclipse.emf.ecore.EReference getOutputRuleElement_MapsTo()

Specified by:
  `getOutputRuleElement_MapsTo` in interface `EmftvmPackage`
Returns:
  the meta object for the reference list 'Maps To'.
See Also:
  `OutputRuleElement.getMapsTo()`, `EmftvmPackage.getOutputRuleElement()`

#### getOutputRuleElement_OutputFor

    public org.eclipse.emf.ecore.EReference getOutputRuleElement_OutputFor()

Specified by:
  `getOutputRuleElement_OutputFor` in interface `EmftvmPackage`
Returns:
  the meta object for the container reference 'Output For'.
See Also:
  `OutputRuleElement.getOutputFor()`, `EmftvmPackage.getOutputRuleElement()`

#### getOpcode

    public org.eclipse.emf.ecore.EEnum getOpcode()

Specified by:
  `getOpcode` in interface `EmftvmPackage`
Returns:
  the meta object for enum 'Opcode'.
See Also:
  `Opcode`

#### getRuleMode

    public org.eclipse.emf.ecore.EEnum getRuleMode()

Specified by:
  `getRuleMode` in interface `EmftvmPackage`
Returns:
  the meta object for enum 'Rule Mode'.
See Also:
  `RuleMode`

#### getConstantTag

    public org.eclipse.emf.ecore.EEnum getConstantTag()

Specified by:
  `getConstantTag` in interface `EmftvmPackage`
Returns:
  the meta object for enum 'Constant Tag'.
See Also:
  `ConstantTag`

#### getStackFrame

    public org.eclipse.emf.ecore.EDataType getStackFrame()

Specified by:
  `getStackFrame` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Stack Frame'.
See Also:
  `StackFrame`

#### getMethod

    public org.eclipse.emf.ecore.EDataType getMethod()

Specified by:
  `getMethod` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Method'.
See Also:
  `Method`

#### getTimingData

    public org.eclipse.emf.ecore.EDataType getTimingData()

Specified by:
  `getTimingData` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Timing Data'.
See Also:
  `TimingData`

#### getVMMonitor

    public org.eclipse.emf.ecore.EDataType getVMMonitor()

Specified by:
  `getVMMonitor` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'VM Monitor'.
See Also:
  `VMMonitor`

#### getLazyCollection

    public org.eclipse.emf.ecore.EDataType getLazyCollection()

Specified by:
  `getLazyCollection` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Lazy Collection'.
See Also:
  `LazyCollection`

#### getLazyBag

    public org.eclipse.emf.ecore.EDataType getLazyBag()

Specified by:
  `getLazyBag` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Lazy Bag'.
See Also:
  `LazyBag`

#### getLazyList

    public org.eclipse.emf.ecore.EDataType getLazyList()

Specified by:
  `getLazyList` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Lazy List'.
See Also:
  `LazyList`

#### getLazyOrderedSet

    public org.eclipse.emf.ecore.EDataType getLazyOrderedSet()

Specified by:
  `getLazyOrderedSet` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Lazy Ordered Set'.
See Also:
  `LazyOrderedSet`

#### getLazySet

    public org.eclipse.emf.ecore.EDataType getLazySet()

Specified by:
  `getLazySet` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Lazy Set'.
See Also:
  `LazySet`

#### getEJavaObjectArray

    public org.eclipse.emf.ecore.EDataType getEJavaObjectArray()

Specified by:
  `getEJavaObjectArray` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'EJava Object Array'.

#### getEObjectArray

    public org.eclipse.emf.ecore.EDataType getEObjectArray()

Specified by:
  `getEObjectArray` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'EObject Array'.

#### getEBooleanArray

    public org.eclipse.emf.ecore.EDataType getEBooleanArray()

Specified by:
  `getEBooleanArray` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'EBoolean Array'.

#### getEJavaSet

    public org.eclipse.emf.ecore.EDataType getEJavaSet()

Specified by:
  `getEJavaSet` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'EJava Set'.
See Also:
  `Set`

#### getEJavaIterable

    public org.eclipse.emf.ecore.EDataType getEJavaIterable()

Specified by:
  `getEJavaIterable` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'EJava Iterable'.
See Also:
  `Iterable`

#### getClassNotFoundException

    public org.eclipse.emf.ecore.EDataType getClassNotFoundException()

Specified by:
  `getClassNotFoundException` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Class Not Found Exception'.
See Also:
  `ClassNotFoundException`

#### getModuleResolver

    public org.eclipse.emf.ecore.EDataType getModuleResolver()

Specified by:
  `getModuleResolver` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Module Resolver'.
See Also:
  `ModuleResolver`

#### getEnumLiteral

    public org.eclipse.emf.ecore.EDataType getEnumLiteral()

Specified by:
  `getEnumLiteral` in interface `EmftvmPackage`
Returns:
  the meta object for data type 'Enum Literal'.
See Also:
  `EnumLiteral`

#### getEmftvmFactory

    public EmftvmFactory getEmftvmFactory()

Specified by:
  `getEmftvmFactory` in interface `EmftvmPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.